#define	SIZE_X	640
#define	SIZE_Y	480
#define	MATRIX	8

	sdim	files,256,100
	
	files.0 = "RSS0101"	; Stage 01-1
	files.1 = "RSS0102"	; Stage 01-2
	files.2 = "RSS0103"	; Stage 01-3
	files.3 = "RSS0104"	; Stage 01-4
	files.4 = "RSB0101"	; Bonus Stage 01-1
	files.5 = "RSB0102"	; Bonus Stage 01-2
	
	files.6  = "RSS0201"	; Stage 02-1
	files.7  = "RSS0202"	; Stage 02-2
	files.8  = "RSS0203"	; Stage 02-3
	files.9  = "RSS0204"	; Stage 02-4
	files.10 = "RSB0201"	; Bonus Stage 02-1
	files.11 = "RSB0202"	; Bonus Stage 02-2
	
	files.12 = "RSS0301"	; Stage 3-1
	files.13 = "RSS0302"	; Stage 3-2
	files.14 = "RSS0303"	; Stage 3-3
	files.15 = "RSS0304"	; Stage 3-4
	files.16 = "RSB0301"	; Bonus Stage 3-1
	files.17 = "RSB0302"	; Bonus Stage 3-2
	
	files.18 = "RSS0401"	; Stage 4-1
	files.19 = "RSS0402"	; Stage 4-2
	files.20 = "RSS0403"	; Stage 4-3
	files.21 = "RSS0404"	; Stage 4-4
	files.22 = "RSB0401"	; Bonus Stage 4-1
	files.23 = "RSB0402"	; Bonus Stage 4-2
	
	files.24 = "RSS0501"	; Stage 5-1
	files.25 = "RSS0502"	; Stage 5-2
	files.26 = "RSS0503"	; Stage 5-3
	files.27 = "RSS0504"	; Stage 5-4
	files.28 = "RSB0501"	; Bonus Stage 5-1
	files.29 = "RSB0502"	; Bonus Stage 5-2
	
	files.30 = "RSS0601"	; Stage 6-1
	files.31 = "RSS0602"	; Stage 6-2
	files.32 = "RSS0603"	; Stage 6-3
	files.33 = "RSS0604"	; Stage 6-4
	files.34 = "RSB0601"	; Bonus Stage 6-1
	files.35 = "RSB0602"	; Bonus Stage 6-2

	files.36 = "RSS6101"	; Stage 61-1
	files.37 = "RSS6102"	; Stage 61-2
	files.38 = "RSS6103"	; Stage 61-3
	files.39 = "RSS6104"	; Stage 61-4
	files.40 = "RSB6101"	; Bonus Stage 61-1
	files.41 = "RSB6102"	; Bonus Stage 61-2

	files.42 = "ROSCT03"
	files.43 = "ROSCT03B"
	files.44 = "CNF00"
	files.45 = "RSP04"

	screen	0,SIZE_X,SIZE_Y
	buffer	2,SIZE_X,SIZE_Y
	
	gsel	0,2
	
	from = 0
	to   = 2
	
	for i,0,100,1
		
		if ( files.i!="" ){
			
			A1 = (i/10)\10
			A2 = i\10
		
			B1 = (j/10)\10
			B2 = j\10
			
			name  = "../PARTS/"+files.i+".BMP"
			name2 = "../DAT/"+files.i+".BMP"
			
			exist	name
			
			if ( 0<strsize ){
			
				gsel	from
				picload	name
				gosub	*pic_encode
				gsel	to
				bmpsave	name2
			}
		}
	next
	
	
	end

*pic_encode
	
	loopx = SIZE_X/MATRIX
	loopy = SIZE_Y/MATRIX
	total = loopx*loopy
	
	x=0
	y=0

	xx=0
	yy=0
	
	fx=xx
	
	gsel	to
	gmode	0,MATRIX,MATRIX
		
	for ix,0,total,1
		
		pos	(x*matrix),(y*matrix)
		gcopy	from,(xx*matrix),(yy*matrix)
		
		x++
		
		if ( loopx<=x ){
			
			x=0 : y++
			
			if ( loopy<=y ){
				
				y=0
			}
		}
		
		xx+=17
		
		if ( loopx<=xx ){
			
			xx-=loopx : yy++
			
			if ( loopy<=yy ){
				
				yy=0
				fx++
				xx=fx
			}
		}
		
	next
	
	return


