#define	SIZE_X	640
#define	SIZE_Y	480
#define	MATRIX	8

	sdim	files,256,100
	
	files.0= "CG0101"	; STAGE01-01
	files.1= "CG0102"	; STAGE01-02
	files.2= "CG0103"	; STAGE01-03
	files.3= "CG0111"	; STAGE01-11
	files.4= "CG0112"	; STAGE01-12
	files.5= "CG0113"	; STAGE01-13
	files.6= "CG0130"	; STAGE01-30
	files.7= "CG0131"	; STAGE01-31

	files.8 = "CG0201"	; STAGE02-01
	files.9 = "CG0202"	; STAGE02-02
	files.10= "CG0211"	; STAGE02-11
	files.11= "CG0212"	; STAGE02-12
	files.12= "CG0213"	; STAGE02-13
	files.13= "CG0214"	; STAGE02-14
	files.14= "CG0230"	; STAGE02-30
	files.15= "CG0231"	; STAGE02-31

	files.16= "CG0301"	; STAGE3-01
	files.17= "CG0302"	; STAGE3-02
	files.18= "CG0303"	; STAGE3-03
	files.19= "CG0311"	; STAGE3-11
	files.20= "CG0312"	; STAGE3-12
	files.21= "CG0313"	; STAGE3-13
	files.22= "CG0330"	; STAGE3-30
	files.23= "CG0331"	; STAGE3-31

	files.24= "CG0401"	; STAGE04-01
	files.25= "CG0402"	; STAGE04-02
	files.26= "CG0403"	; STAGE04-03
	files.27= "CG0411"	; STAGE04-11
	files.28= "CG0412"	; STAGE04-12
	files.29= "CG0413"	; STAGE04-13
	files.30= "CG0430"	; STAGE04-30
	files.31= "CG0431"	; STAGE04-31

	files.32= "CG0501"	; STAGE5-01
	files.33= "CG0502"	; STAGE5-02
	files.34= "CG0503"	; STAGE5-03
	files.35= "CG0511"	; STAGE5-11
	files.36= "CG0512"	; STAGE5-12
	files.37= "CG0513"	; STAGE5-13
	files.38= "CG0530"	; STAGE5-30
	files.39= "CG0531"	; STAGE5-31

	files.40= "CG0601"	; STAGE6-01
	files.41= "CG0602"	; STAGE6-02
	files.42= "CG0603"	; STAGE6-03
	files.43= "CG0611"	; STAGE6-11
	files.44= "CG0612"	; STAGE6-12
	files.45= "CG0613"	; STAGE6-13
	files.46= "CG0630"	; STAGE6-30
	files.47= "CG0631"	; STAGE6-31

	files.48= "CG6101"	; STAGE61-01
	files.49= "CG6102"	; STAGE61-02
	files.50= "CG6103"	; STAGE61-03
	files.51= "CG6104"	; STAGE61-04
	files.52= "CG6105"	; STAGE61-05
	files.53= "CG6130"	; STAGE61-30
	files.54= "CG6131"	; STAGE61-31

	screen	0,SIZE_X,SIZE_Y
	buffer	2,SIZE_X,SIZE_Y
	
	gsel	0,2
	
	from = 0
	to   = 2
	
	for i,0,100,1
		
		if ( files.i!="" ){
			
			A1 = (i/10)\10
			A2 = i\10
		
			B1 = (j/10)\10
			B2 = j\10
			
			name  = "../CGORG/"+files.i+".BMP"
			name2 = "../DAT/"+files.i+".BMP"
			
			exist	name
			
			if ( 0<strsize ){
			
				gsel	from
				picload	name
				gosub	*pic_encode
				gsel	to
				bmpsave	name2
			}
		}
		await	10
	next
	
	
	end

*pic_encode
	
	loopx = SIZE_X/MATRIX
	loopy = SIZE_Y/MATRIX
	total = loopx*loopy
	
	x=0
	y=0

	xx=0
	yy=0
	
	fx=xx
	
	gsel	to
	gmode	0,MATRIX,MATRIX
		
	for ix,0,total,1
		
		pos	(x*matrix),(y*matrix)
		gcopy	from,(xx*matrix),(yy*matrix)
		
		x++
		
		if ( loopx<=x ){
			
			x=0 : y++
			
			if ( loopy<=y ){
				
				y=0
			}
		}
		
		xx+=17
		
		if ( loopx<=xx ){
			
			xx-=loopx : yy++
			
			if ( loopy<=yy ){
				
				yy=0
				fx++
				xx=fx
			}
		}
		
	next
	
	return


